pcl::PCLException Class Reference

A base class for all pcl exceptions which inherits from std::runtime_error. More...

`#include <pcl/exceptions.h>`

Inheritance diagram for pcl::PCLException:

## Public Member Functions

| PCLException (const std::string &error_description, const std::string &file_name="", const std::string &function_name="", unsigned line_number=0) throw ()
virtual | ~PCLException () throw ()
const std::string & | getFileName () const throw ()
const std::string & | getFunctionName () const throw ()
unsigned | getLineNumber () const throw ()
std::string | detailedMessage () const throw ()
char const * | what () const throw ()

## Protected Attributes

std::string | file_name_
std::string | function_name_
std::string | message_
unsigned | line_number_

## Detailed Description

A base class for all pcl exceptions which inherits from std::runtime_error.

Author
  Eitan Marder-Eppstein, Suat Gedikli, Nizar Sallem

Definition at line 65 of file exceptions.h.

## Constructor & Destructor Documentation

pcl::PCLException::PCLException | ( | const std::string & | error_description,
|  | const std::string & | file_name = `""`,
|  | const std::string & | function_name = `""`,
|  | unsigned | line_number = `0`
| ) |  |
throw | ( |
| ) |  |

inline

Definition at line 69 of file exceptions.h.

References detailedMessage(), and message_.

virtual pcl::PCLException::~PCLException | ( |  | ) |
throw | ( |
| ) |  |

inline virtual

Definition at line 82 of file exceptions.h.

## Member Function Documentation

std::string pcl::PCLException::detailedMessage | ( |  | ) | const
throw | ( |
| ) |  |

inline

Definition at line 104 of file exceptions.h.

References file_name_, function_name_, line_number_, and what().

Referenced by PCLException().

const std::string& pcl::PCLException::getFileName | ( |  | ) | const
throw | ( |
| ) |  |

inline

Definition at line 86 of file exceptions.h.

References file_name_.

const std::string& pcl::PCLException::getFunctionName | ( |  | ) | const
throw | ( |
| ) |  |

inline

Definition at line 92 of file exceptions.h.

References function_name_.

unsigned pcl::PCLException::getLineNumber | ( |  | ) | const
throw | ( |
| ) |  |

inline

Definition at line 98 of file exceptions.h.

References line_number_.

char const* pcl::PCLException::what | ( |  | ) | const
throw | ( |
| ) |  |

inline

Definition at line 122 of file exceptions.h.

References message_.

Referenced by pcl::GeneralizedIterativeClosestPoint< PointSource, PointTarget >::computeTransformation(), pcl::filters::Convolution< PointIn, PointOut >::convolve(), pcl::filters::Convolution< PointIn, PointOut >::convolveCols(), pcl::filters::Convolution< PointIn, PointOut >::convolveRows(), and detailedMessage().

## Member Data Documentation

std::string pcl::PCLException::file_name_

protected

Definition at line 128 of file exceptions.h.

Referenced by detailedMessage(), and getFileName().

std::string pcl::PCLException::function_name_

protected

Definition at line 129 of file exceptions.h.

Referenced by detailedMessage(), and getFunctionName().

unsigned pcl::PCLException::line_number_

protected

Definition at line 131 of file exceptions.h.

Referenced by detailedMessage(), and getLineNumber().

std::string pcl::PCLException::message_

protected

Definition at line 130 of file exceptions.h.

Referenced by PCLException(), and what().

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/common/include/pcl/exceptions.h